- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::TriStripVisitor Class Reference

A tri stripping visitor for converting Geometry surface primitives into tri strips. More...

Inheritance diagram for osgUtil::TriStripVisitor:

[legend]
List of all members.

## Public Member Functions
| TriStripVisitor (Optimizer *=0)
| default to traversing all children.
void | stripify (osg::Geometry &drawable)
| Convert mesh primitives in Geometry into Tri Strips.
void | stripify ()
| Stripify (make into strips of tria or quads) the accumulated list of Geometry drawables.
virtual void | apply (osg::Geode &geode)
| Accumulate the Geometry drawables to make into strips.
void | setCacheSize (unsigned int size)
unsigned int | getCacheSize ()
const unsigned int | getCacheSize () const
void | setMinStripSize (unsigned int size)
unsigned int | getMinStripSize ()
const unsigned int | getMinStripSize () const
bool | isOperationPermissibleForObject (const osg::Object *object) const
void | setGenerateFourPointPrimitivesQuads (bool flag)
bool | getGenerateFourPointPrimitivesQuads () const

## Detailed Description

A tri stripping visitor for converting Geometry surface primitives into tri strips.

The current implemention is based upon Tanguy Fautre's triangulation code.

## Constructor & Destructor Documentation

osgUtil::TriStripVisitor::TriStripVisitor | ( | Optimizer * | = `0` | ) | `[inline]`

| default to traversing all children.

## Member Function Documentation

void TriStripVisitor::apply | ( | osg::Geode & | geode | ) | `[virtual]`

| Accumulate the Geometry drawables to make into strips. Reimplemented from osg::NodeVisitor.

const unsigned int osgUtil::TriStripVisitor::getCacheSize | ( |  | ) | const`[inline]`

unsigned int osgUtil::TriStripVisitor::getCacheSize | ( |  | ) | `[inline]`

bool osgUtil::TriStripVisitor::getGenerateFourPointPrimitivesQuads | ( |  | ) | const`[inline]`

const unsigned int osgUtil::TriStripVisitor::getMinStripSize | ( |  | ) | const`[inline]`

unsigned int osgUtil::TriStripVisitor::getMinStripSize | ( |  | ) | `[inline]`

bool osgUtil::TriStripVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

void osgUtil::TriStripVisitor::setCacheSize | ( | unsigned int | size | ) | `[inline]`

void osgUtil::TriStripVisitor::setGenerateFourPointPrimitivesQuads | ( | bool | flag | ) | `[inline]`

void osgUtil::TriStripVisitor::setMinStripSize | ( | unsigned int | size | ) | `[inline]`

void TriStripVisitor::stripify | ( |  | ) |

| Stripify (make into strips of tria or quads) the accumulated list of Geometry drawables.

void TriStripVisitor::stripify | ( | osg::Geometry & | drawable | ) |

| Convert mesh primitives in Geometry into Tri Strips. Converts all primitive types except points and lines, linestrips which it leaves unchanged.

The documentation for this class was generated from the following files:

- TriStripVisitor
- TriStripVisitor.cpp